levelshots/automap_mask
{
	nopicmip
	nocompress
	nomipmaps
	{
		map gfx/2d/compass_mask.tga
		alphafunc GE128	
	}
}
levelshots/badplace4_rc_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/badplace4_rc_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/badplace4_rc_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/badplace4_rc_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}
textures/bp4_others/water_stain1
{
	sort 6
	polygonOffset
	surfaceparm nonsolid
	surfaceparm alphashadow
	{
		map textures/bp4_others/water_stain1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}
textures/bp4_others/blood1_drip
{
	polygonOffset
	entityMergable
	{
		map textures/bp4_others/blood1_drip.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/bp4_others/blood5
{
	polygonOffset
	entityMergable
	{
		map textures/bp4_others/blood5.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/bp4_others/blood3
{
	polygonOffset
	entityMergable
	{
		map textures/bp4_others/blood3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/bp4_others/bp4_shoutout_ent
{
	qer_editorimage textures/liquids_sd/siwa_shimshim1.tga
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		tcmod scroll 0.04 0.06
		rgbGen vertex
	}
	{
		map textures/bp4_others/bp4_shoutout.tga
		blendfunc add
		rgbGen vertex
		tcmod scale 1 0.1
		tcmod scroll 0 0.01
	}
	{
		map textures/common/dirtymirror2.tga
		blendfunc add
		rgbGen vertex
		tcmod scroll -0.04 -0.06
	}
}
textures/bp4_others/ground_c07aa
{
	implicitMap -
	surfaceparm gravelsteps
}
textures/bp4_waters/water_xlab1_a
{
		qer_editorimage textures/bp4_waters/pool3d_1a.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 140
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/bp4_waters/pool3d_1a.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/bp4_waters/pool3d_1b.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale -1 -1
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
}
textures/bp4_waters/water_xlab1_b
{
		qer_editorimage textures/bp4_waters/pool3d_2a.tga
		q3map_surfacelight 272
		q3map_lightSubdivide 52
		qer_trans 0.5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/bp4_waters/pool3d_2a.tga
			blendFunc GL_dst_color GL_one
			rgbGen const ( 1 0 0 )
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/bp4_waters/pool3d_2b.tga
			blendFunc GL_dst_color GL_one
			rgbGen const ( 1 0 0 )
			tcmod scale -1 -1
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
}
textures/bp4_others/fence_m02a1
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}
textures/bp4_others/fence_m02a1_rdza
{
	surfaceparm metalsteps
	surfaceparm nomarks
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/bp4_others/fence_m02a1_rdza.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// - Apteczki - //

textures/bp4_apteczki/50hp_01
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	nomipmaps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/bp4_apteczki/50hp_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 50 0.25 0.25 )
		tcGen environment
		tcMod scroll 0.025 -0.07625
	}
}
textures/bp4_apteczki/50hp_01_effect
{
	qer_editorimage textures/bp4_apteczki/50hp_01_effect.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/bp4_apteczki/50hp_01_effect.tga
		blendFunc add
	}
}
textures/bp4_apteczki/20hp_01
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	nomipmaps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/bp4_apteczki/20hp_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scroll 0.025 -0.07625
	}
}
textures/bp4_apteczki/20hp_01_effect
{
	qer_editorimage textures/bp4_apteczki/20hp_01_effect.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/bp4_apteczki/20hp_01_effect.tga
		blendFunc add
	}
}
textures/bp4_apteczki/5hp_01
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	nomipmaps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/bp4_apteczki/5hp_01.tga
		blendFunc add
		rgbGen identity
		tcGen environment
		tcMod scroll 0.025 -0.07625
	}
}
textures/bp4_apteczki/5hp_01_effect
{
	qer_editorimage textures/bp4_apteczki/5hp_01_effect.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/bp4_apteczki/5hp_01_effect.tga
		blendFunc add
	}
}
textures/bp4_apteczki/ammo_01_effect
{
	qer_editorimage textures/bp4_apteczki/ammo_01_effect.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/bp4_apteczki/ammo_01_effect.tga
		blendFunc add
	}
}
textures/bp4_others/portal_bp4
{
	qer_editorimage textures/bp4_others/portal_bp4.jpg
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 420
	portal
	{
		map textures/bp4_others/portal_bp4.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 920
	}
	{
		map textures/bp4_waters/pool3d_1a.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen wave sin 0.6 0.08 0 0.4
		tcmod scale -1 -1
		tcmod scroll 0.050 0.050
	}
}
textures/bp4_others/portal_bp4_off
{
	qer_editorimage textures/bp4_others/portal_bp4_off.jpg
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 420
	{
		map textures/bp4_others/portal_bp4_off.jpg
		rgbGen identity
	}
	{
		map textures/bp4_waters/pool3d_1a.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen wave sin 0.6 0.08 0 0.4
		tcmod scale -1 -1
		tcmod scroll 0.050 0.050
	}
}
textures/bp4_others/portal_bp4_off1
{
	qer_editorimage textures/bp4_others/portal_bp4_off1.tga
	surfaceparm nolightmap
	surfaceparm water
	surfaceparm trans
	q3map_surfacelight 420
	{
		map textures/bp4_others/portal_bp4_off1.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{
		map textures/bp4_waters/pool3d_1a.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen wave sin 0.6 0.08 0 0.4
		tcmod scale -1 -1
		tcmod scroll 0.050 0.050
	}
}
textures/bp4_others/ametal_m07a1
{
	qer_editorimage textures/bp4_others/ametal_m07a1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
	}
	{
		map textures/bp4_others/ametal_m07a1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
	{
		map textures/bp4_waters/pool3d_1b.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen vertex
		tcmod scale -1 -1
		tcmod scroll 0.040 0.040
		tcGen environment
	}
}
textures/bp4_others/wood_m02a_cushion
{
	qer_editorimage textures/bp4_others/wood_m02a_cushion.jpg
	surfaceparm woodsteps
	surfaceparm nodamage
	implicitMap -
}
textures/bp4_others/militarywall_m01_cusion_bp4
{
	qer_editorimage textures/miltary_wall/concrete_m01.jpg
	surfaceparm nodamage
	implicitMap textures/miltary_wall/concrete_m01.jpg
}
textures/bp4_others/ametal_m03_cushion
{
	qer_editorimage textures/bp4_others/ametal_m03_cushion.jpg
	surfaceparm metalsteps
	surfaceparm nodamage
	implicitMap -
}
textures/bp4_others/clipweapmetal_cushion
{
	qer_editorimage textures/bp4_others/clipweapmetal_cushion.tga
	qer_trans 0.3
	surfaceparm metalsteps
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nodamage
}
textures/bp4_others/badplace_exit
{
	nofog
	polygonOffset
	entityMergable
	nopicmip
	nomipmaps


	{
		map textures/bp4_others/badplace_exit.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/bp4_others/ladder_bp4cushion
{
	qer_trans 0.5
	surfaceparm ladder
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}
textures/bp4_others/nodraw_metal_bp4
{
	qer_trans 0.5
	surfaceparm clipmissile
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}
textures/bp4_others/mdoor_m02
{
	implicitmap textures/bp4_others/mdoor_m02.jpg
	surfaceparm metalsteps
}
textures/bp4_others/clip_cushion
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm gravelsteps
}
textures/bp4_others/flags_temp
{
	cull none
	surfaceparm nonsolid
	surfaceparm carpetsteps
	surfaceparm alphashadow
	deformVertexes wave 5 sin 0 0.5 0 0.2
	{
		map textures/bp4_others/flags_temp.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/bp4_others/flags_m1_snow
{
	cull none
	surfaceparm nonsolid
	surfaceparm carpetsteps
	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 0.5
	{
		map textures/bp4_others/flags_m1_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}
textures/bp4_others/clip_fence01
{
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm clipmissile
	surfaceparm metalsteps
}
textures/bp4_others/acc_01
{
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm pointlight
	deformVertexes wave 10 sin 0 1 0 0.2
	{
		map textures/bp4_others/acc_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/bp4_others/alarm_glass_01
{
	qer_editorimage textures/bp4_others/alarm_glass_01.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/bp4_others/alarm_glass_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/bp4_others/orange_beam
{
	qer_editorimage textures/bp4_others/orange_beam.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/bp4_others/orange_beam.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/bp4_apteczki/naboj_01_model
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm nonsolid
	implicitBlend -
}